import { HttpException, HttpStatus } from '@nestjs/common';
import { Inmueble } from './inmueble.entity';
import { Vista } from '../vista/vista.entity';
import { TipoVivienda } from '../tipo-vivienda/tipo-vivienda.entity';
import { EstadoProyecto } from '../estado-proyecto/estado-proyecto.entity';
import { TipoOperacion } from '../tipo-operacion/tipo-operacion.entity';
import { EstadoInmueble } from '../estado-inmueble/estado-inmueble.entity';
import { TipoInmueble } from '../tipo-inmueble/tipo-inmueble.entity';
import { NivelAmoblado } from '../nivel-amoblado/nivel-amoblado.entity';
import { Distrito } from '../distrito/distrito.entity';
import { User } from '../users/user.entity';
import { TipoUbicacion } from '../tipo-ubicacion/tipo-ubicacion.entity';
import { TipoMoneda } from '../tipo-moneda/tipo-moneda.entity';
import { Estado } from '../estado/estado.entity';
import { Galeria } from '../galeria/galeria.entity';
import { InmuebleAreasSociales } from '../inmueble-areas-sociales/inmueble-areas-sociales.entity';
import { InmuebleEstados } from '../inmueble-estados/inmueble-estados.entity';
import { InmuebleVistas } from '../inmueble-vistas/inmueble-vistas.entity';
import { Repository, DataSource } from 'typeorm';
import { CreateInmuebleDto } from './dto/create-inmueble.dto';
import { UpdateInmuebleDto } from './dto/update-inmueble.dto';
export declare class InmuebleService {
    private inmuebleRepository;
    private readonly dataSource;
    private vistaRepository;
    private tipoViviendaRepository;
    private estadoProyectoRepository;
    private tipoOperacionRepository;
    private estadoInmuebleRepository;
    private tipoInmuebleRepository;
    private nivelAmobladoRepository;
    private distritoRepository;
    private userRepository;
    private tipoUbicacionRepository;
    private tipoMonedaRepository;
    private estadoRepository;
    private galeriaRepository;
    private inmuebleAreasSocialesRepository;
    private inmuebleEstadosRepository;
    private inmuebleVistasRepository;
    constructor(inmuebleRepository: Repository<Inmueble>, dataSource: DataSource, vistaRepository: Repository<Vista>, tipoViviendaRepository: Repository<TipoVivienda>, estadoProyectoRepository: Repository<EstadoProyecto>, tipoOperacionRepository: Repository<TipoOperacion>, estadoInmuebleRepository: Repository<EstadoInmueble>, tipoInmuebleRepository: Repository<TipoInmueble>, nivelAmobladoRepository: Repository<NivelAmoblado>, distritoRepository: Repository<Distrito>, userRepository: Repository<User>, tipoUbicacionRepository: Repository<TipoUbicacion>, tipoMonedaRepository: Repository<TipoMoneda>, estadoRepository: Repository<Estado>, galeriaRepository: Repository<Galeria>, inmuebleAreasSocialesRepository: Repository<InmuebleAreasSociales>, inmuebleEstadosRepository: Repository<InmuebleEstados>, inmuebleVistasRepository: Repository<InmuebleVistas>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        tipoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        tipoOperacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            nombre_filtro: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        estadoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        nivelAmoblado: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        distrito: {
            created_at: string;
            updated_at: string;
            provincia: {
                created_at: string;
                updated_at: string;
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: import("../pais/pais.entity").Pais;
                    provincia: import("../provincia/provincia.entity").Provincia[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
                distrito: Distrito[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            inmueble: Inmueble[];
        };
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        };
        tipoUbicacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        galeria: {
            created_at: string;
            updated_at: string;
            id: number;
            url_desktop: string;
            url_mobile: string;
            deleted_at: Date;
            inmueble_id: number;
            inmueble: Inmueble;
        }[];
        inmuebleAreasSociales: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            areas_sociales_id: number;
            inmueble: Inmueble;
            areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
        }[];
        inmuebleVistas: {
            created_at: string;
            updated_at: string;
            vista: {
                created_at: string;
                updated_at: string;
                tipoVista: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    vista: Vista[];
                };
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                inmuebleVistas: InmuebleVistas[];
            };
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            vista_id: number;
            inmueble: Inmueble;
        }[];
        inmuebleEstados: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            estado_proyecto_id: number;
            inmueble: Inmueble;
            estadoProyecto: EstadoProyecto;
        }[];
        uniqueTipoVistas: any[];
        id: number;
        bathroom: number;
        dormitorios: number;
        cocheras: number;
        ambientes: number;
        mascotas: string;
        cuarto_servicio: string;
        balcon: string;
        terraza: string;
        ascensor: string;
        condominio: string;
        deposito: string;
        proyecto: string;
        areas_sociales: string;
        area: number;
        area_techada: number;
        precio: string;
        precio_mantenimiento: string;
        piso: number;
        descripcion: string;
        direccion: string;
        latitud: string;
        longitud: string;
        zoom: string;
        antiguedad: number;
        estreno: string;
        titulo: string;
        tipo_vivienda_id: number;
        tipo_operacion_id: number;
        tipo_inmueble_id: number;
        nivel_amoblado_id: number;
        distrito_id: number;
        user_id: number;
        tipo_ubicacion_id: number;
        estado_inmueble_id: number;
        deleted_at: Date;
        tipo_moneda_id: number;
        estado_id: number;
        tipoMoneda: TipoMoneda;
        tipoVivienda: TipoVivienda;
        estado: Estado;
        favoritos: import("../favoritos/favoritos.entity").Favoritos[];
    }[]>;
    getData(page?: number, limit?: number): Promise<{
        data: {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: Inmueble;
                estadoProyecto: EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: TipoMoneda;
            tipoVivienda: TipoVivienda;
            estado: Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        tipoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        tipoOperacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            nombre_filtro: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        estadoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        nivelAmoblado: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        distrito: {
            created_at: string;
            updated_at: string;
            provincia: {
                created_at: string;
                updated_at: string;
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: import("../pais/pais.entity").Pais;
                    provincia: import("../provincia/provincia.entity").Provincia[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
                distrito: Distrito[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            inmueble: Inmueble[];
        };
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        };
        tipoUbicacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: Inmueble[];
        };
        galeria: {
            created_at: string;
            updated_at: string;
            id: number;
            url_desktop: string;
            url_mobile: string;
            deleted_at: Date;
            inmueble_id: number;
            inmueble: Inmueble;
        }[];
        inmuebleAreasSociales: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            areas_sociales_id: number;
            inmueble: Inmueble;
            areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
        }[];
        inmuebleVistas: {
            created_at: string;
            updated_at: string;
            vista: {
                created_at: string;
                updated_at: string;
                tipoVista: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    vista: Vista[];
                };
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                inmuebleVistas: InmuebleVistas[];
            };
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            vista_id: number;
            inmueble: Inmueble;
        }[];
        inmuebleEstados: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            estado_proyecto_id: number;
            inmueble: Inmueble;
            estadoProyecto: EstadoProyecto;
        }[];
        uniqueTipoVistas: any[];
        id: number;
        bathroom: number;
        dormitorios: number;
        cocheras: number;
        ambientes: number;
        mascotas: string;
        cuarto_servicio: string;
        balcon: string;
        terraza: string;
        ascensor: string;
        condominio: string;
        deposito: string;
        proyecto: string;
        areas_sociales: string;
        area: number;
        area_techada: number;
        precio: string;
        precio_mantenimiento: string;
        piso: number;
        descripcion: string;
        direccion: string;
        latitud: string;
        longitud: string;
        zoom: string;
        antiguedad: number;
        estreno: string;
        titulo: string;
        tipo_vivienda_id: number;
        tipo_operacion_id: number;
        tipo_inmueble_id: number;
        nivel_amoblado_id: number;
        distrito_id: number;
        user_id: number;
        tipo_ubicacion_id: number;
        estado_inmueble_id: number;
        deleted_at: Date;
        tipo_moneda_id: number;
        estado_id: number;
        tipoMoneda: TipoMoneda;
        tipoVivienda: TipoVivienda;
        estado: Estado;
        favoritos: import("../favoritos/favoritos.entity").Favoritos[];
    }>;
    getDataByUser(user_id: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: Inmueble;
                estadoProyecto: EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: TipoMoneda;
            tipoVivienda: TipoVivienda;
            estado: Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        }[];
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: Inmueble;
                estadoProyecto: EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: TipoMoneda;
            tipoVivienda: TipoVivienda;
            estado: Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    createInmueble(inmuebleData: CreateInmuebleDto): Promise<{
        message: string;
        status: HttpStatus;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: Inmueble;
                estadoProyecto: EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: TipoMoneda;
            tipoVivienda: TipoVivienda;
            estado: Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        };
    }>;
    updateData(id: number, inmueble: UpdateInmuebleDto): Promise<HttpException | {
        data: HttpException | {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: Inmueble;
                estadoProyecto: EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: TipoMoneda;
            tipoVivienda: TipoVivienda;
            estado: Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        };
        inmuebleDto: UpdateInmuebleDto;
        inmuebleFound: Inmueble;
        updateInmueble: Inmueble & UpdateInmuebleDto;
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
